document.getElementById('submit_tbla_create_page').addEventListener('click', function (e) {
    const elements = [
        { id: 'tbla_account_id', errorId: 'tbla_account_id_error' },
        { id: 'tbla_pre_account_id', errorId: 'tbla_pre_account_id_error' }
    ];

    let isValid = true;

    elements.forEach(element => {
        const input = document.getElementById(element.id);
        const error = document.getElementById(element.errorId);

        if (input.value.trim() === '') {
            e.preventDefault();
            error.classList.remove('hidden');
            isValid = false;
        } else {
            error.classList.add('hidden');
        }
    });

    return isValid;
});